# % define debug_package %{nil}

%define major 4
%define libname %mklibname ebml %{major}
%define devname %mklibname ebml -d

Summary:	Extensible Binary Meta Language Library
Name:		libebml
Version:	1.3.3
Release:	1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.bz2

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Extensible Binary Meta Language shared Library
Group:		System/Libraries

%description -n %{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%files -n %{libname}
%{_libdir}/libebml.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Extensible Binary Meta Language Library headers and static library
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the C++ headers and the static library needed
for development with EBML.

%files -n %{devname}
%doc LICENSE*
%{_includedir}/ebml
%{_libdir}/libebml.so
%{_libdir}/pkgconfig/libebml.pc

#----------------------------------------------------------------------------

%prep
%setup -q
# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

# fix encoding
iconv -f ISO8859-1 -t UTF-8 ChangeLog -o ChangeLog-utf8
touch -r ChangeLog ChangeLog-utf8
mv -f ChangeLog-utf8 ChangeLog

%build
%configure2_5x
%make

%install
%makeinstall_std

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

rm -f %{buildroot}%{_libdir}/*.a


%changelog

* Thu Dec 10 2015 Denis Silakov <dsilakov@gmail.com> 1.3.3-1
- (27d79bf) Updated to 1.3.3, fix debug package


